<?php
require_once('conf/dbc.php');
require_once('conf/session_start.php');
require_once('conf/ban.php');
$page_title = 'Анкета';
require_once('conf/head.php');
require_once('conf/top.php');

switch($_GET[go]){
default:
$user_id=abs(intval($_SESSION['id']));
$dbc->query("update users set location = 'anketa' where id = '$user_id' limit 1");
$anka= $dbc->query("SELECT * FROM `anketa` WHERE `id_us` = '$user_id'")->fetch_assoc();

if(empty($anka[name])){echo "<center><p class='name'>Ваша анкета</p></center><div class='redactor'>Ваша анкета не заполнена</br></div><a href=\"ank_cr.php?go=zap\">Заполнить</a>";}else{

echo"<center><p class='name'>Ваша анкета</p></center><div class='r6'>";
if(!empty($anka[inf])){echo "<div class='dot'><center><span class='white'>О себе:</span></center><i><font color='#e8c25d'>$anka[inf]</font></i></div>";}
if(!empty($anka[name])){echo "<span class='white'>Имя: </span><font color='#e8c25d'>$anka[name]</font> ";}
if(!empty($anka[familu])){echo "</br><span class='white'>Фамилия: </span><font color='#e8c25d'>$anka[familu]</font>";}
if(!empty($anka[strana])){echo "</br><span class='white'>Страна: </span><font color='#e8c25d'>$anka[strana]</font>";}
if(!empty($anka[gorod])){echo "</br><span class='white'>Город: </span><font color='#e8c25d'>$anka[gorod]</font>";}
if(!empty($anka[data])){echo "</br><span class='white'>Год рождения: </span><font color='#e8c25d'>$anka[data]</font>";}
if(!empty($anka[music])){echo "</br><span class='white'>Любимая музыка: </span><font color='#e8c25d'>$anka[music]</font>";}
if(!empty($anka[int])){echo "</br><span class='white'>Интересы: </span><font color='#e8c25d'>$anka[int]</font>";}
echo'<div class="dot"><center><span class="white">Контакты:</span></center>';
if(!empty($anka[vk])){echo "<span class='white'>Vk.com: </span><a href='http://m.vk.com/".$anka[vk]."'>http://m.vk.com/$anka[vk]</a>";}
if(!empty($anka[spaces])){echo "</br><span class='white'>Spaces.ru: </span><font color='#e8c25d'>$anka[spaces]</font>";}
echo'</div>';
echo"</div><div class = 'r2'><a class='net' style='text-decoration:none;' href=\"ank_cr.php?go=zap\">Изменить</a></div>
<div class='r2'><img src='inc/arrow.png' ><a  style='text-decoration:none;' href=\"me.php?\">Назад</a></div>";
}
break; 

case 'zap':
$user_id=abs(intval($_SESSION['id']));
$anka= $dbc->query("SELECT * FROM `anketa` WHERE `id_us` = '$user_id'")->fetch_assoc();
if(empty($anka['id_us'])){
$pdo->exec("INSERT INTO `anketa` set `id_us` = '$user_id'");
header('location:/ank_cr.php?go=zap'); exit;
}
echo'<div class="redactor"><form action="ank_cr.php?go=yes" method="post">
Имя: <font color="red">*</font><br/>
<input class="input" type="text" value="'.$anka[name].'" size="15" name="name" maxlength="15"/><br/>
Фамилия:<br/><input class="input" type="text" value="'.$anka[familu].'" size="15" name="familu" maxlength="20"/><br/>
Страна: <font color="red">*</font> <br/><input class="input" type="text" value="'.$anka[strana].'" size="15" name="strana" maxlength="20"/><br/>
Город: <font color="red">*</font> <br/><input class="input" type="text" value="'.$anka[gorod].'" size="15" name="gorod" maxlength="20"/><br/>
Vk.com: <br/><input class="input" type="text" value="'.$anka[vk].'" size="15" name="vk" maxlength="25"/><br/>
Год рождения:<br/><input class="input" type="text" value="'.$anka[data].'" size="15" name="data" maxlength="15"/><br/>
Интересы:<br/><input class="input" type="text" value="'.$anka[int].'" size="15" name="int" maxlength="50"/><br/>
О себе:<br/><input class="input" type="text" value="'.$anka[inf].'" size="15" name="inf" maxlength="110"/><br/>
<br/><input class="button" type="submit" value="сохранить" /></form><font color="red">*</font> - Поля, обязательные к заполнению</div>
<div class="r2"><img src="inc/arrow.png" ><a  style="text-decoration:none;" href="ank_cr.php?">Назад</div></a>';
break;
case 'yes':
if(empty($_POST[strana])){echo'<div class="r6"><span class="red">Ошибка! Страна не заполнена!</span><div class="r2"><img src="inc/arrow.png" ><a style="text-decoration:none;" href="ank_cr.php?go=zap">Назад</a></div></br></div>';}
elseif(empty($_POST[gorod])){echo'<div class="r6"><span class="red">Ошибка! Город не заполнен!</span><div class="r2"><img src="inc/arrow.png" ><a style="text-decoration:none;" href="ank_cr.php?go=zap">Назад</a></div></br></div>';} 
elseif(empty($_POST[name])){echo'<div class="r6"><span class="red">Ошибка! Имя не заполнено!</span><div class="r2"><img src="inc/arrow.png" ><a style="text-decoration:none;" href="ank_cr.php?go=zap">Назад</a></div></br></div>';}
else{
echo'<div class="r6"><span class="bonus">Анкета заполнена!</span><div class="r2"><img src="inc/arrow.png" ><a  style="text-decoration:none;" href="ank_cr.php?">Назад</a></div></br></div>';
  $user_id=abs(intval($_SESSION['id']));
  $pdo->exec("UPDATE
        `anketa` SET
`name` = '".htmlspecialchars($_POST[name])."',
`familu` = '".htmlspecialchars($_POST[familu])."',
`strana` = '".htmlspecialchars($_POST[strana])."',
`gorod` = '".htmlspecialchars($_POST[gorod])."',
`vk` = '".htmlspecialchars($_POST[vk])."',
`inf` = '".htmlspecialchars($_POST[inf])."',
`int` = '".htmlspecialchars($_POST[int])."',
`data` = '".htmlspecialchars($_POST[data])."'
         WHERE `id_us` = '$user_id'");
}
break;
}
require_once('conf/navig.php');
require_once('conf/foot.php');
?>
</div>
</body>
</html>